import React from 'react'
import DefaultAvatar from './assets/img-defaultAvatar.png'
import Logo from './assets/img-logo.png'
import Xunzhen from './assets/img-xunzhen.png'
import Zhuanzhen from './assets/img-zhuanzhen.png'
import Mingyi from './assets/img-mingyi.png'
import Zixun from './assets/img-zixun.png'
import {Grid, Row, Col, Image, Clearfix} from 'react-bootstrap'
import classes from './HomeView.css'
export const HomeView = () => (
    <div>
        <div className="home-top clearfix">
            <div className="left">
                <Image src={Logo} responsive></Image>
            </div>
            <div className="right">
                南方医务通医生工作台
            </div>
        </div>

        <div className="home-body clearfix">
            <div className="left">
                <div className="avatarbox">
                    <Image className="avatar" src={DefaultAvatar} rounded responsive/>
                    <div className="name">李秋豪</div>
                </div>
                <div className="col-lg-12 list">
                    <ul className="parent">
                        <li><a href="/message"><span className="icon icon-message"></span><span className="text-message">消息&nbsp;&nbsp;2</span></a></li>
                        <li className="active"><a href="/home"><span className="icon icon-home"></span><span>首页</span></a></li>
                        <ul className="childList">
                            <li><a href="#">专家询诊</a></li>
                            <li><a href="#">双向转诊</a></li>
                            <li><a href="#">名医主诊</a></li>
                            <li><a href="#">名医主诊</a></li>
                        </ul>
                        <li><a href="#"><span className="icon icon-patient"></span><span>我的患者</span></a></li>
                        <li><a href="#"><span className="icon icon-doctor"></span><span>我的关联医生</span></a></li>
                        <li><a href="#"><span className="icon icon-expert"></span><span>平台所有医生</span></a></li>
                    </ul>
                </div>
            </div>
            <div className="right" style={{display: "table",textAlign: "center"}}>
                <div className="clearfix" style={{display: "table-cell",verticalAlign: "middle"}}>
                    <div className="col-lg-12 col-md-12">
                        <div style={{display: "inline-block"}}><a href="#"><Image responsive src={Xunzhen}></Image></a></div>
                        <div style={{display: "inline-block"}}><a href="#"><Image responsive src={Zhuanzhen}></Image></a></div>
                    </div>
                    <div className="col-lg-12 col-md-12">
                        <div style={{display: "inline-block"}}><a href="#"><Image responsive src={Mingyi}></Image></a></div>
                        <div style={{display: "inline-block"}}><a href="#"><Image responsive src={Zixun}></Image></a></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
)

HomeView.defaultProps = {
    yanzhengma: 1234,
}

HomeView.propTypes = {
    yanzhengma: React.PropTypes.number,
    alertYanzhengma: React.PropTypes.func,
}

export default HomeView