import React from 'react'
import background from '../assets/bg_index.jpg'
import logo from '../assets/logo.png'
import {ListGroup,ListGroupItem,FormGroup,FormControl,Col,Clearfix,Button} from 'react-bootstrap'
import classes from './LoginView.css'

// const time = 10;
// function handleClick(e) {
//     e.preventDefault();
//     console.log('The link was clicked.');
//     console.log(e);
// }

export const LoginView = (props) => (
  <div>
      <img
          src={background}
          className="bg"
      />
      <div className="logo">
          <img src={logo} alt="南方医院"/>
      </div>
      <div className="index-loginBox">
          <h4>南方医务通医生工作台{props.captchaStatus} a {props.captcha}</h4>
          <div className="loginForm">
              {props.captchaStatus%2 != 0 ?
                  (<div style={{color: '#ff6f56',visibility: 'visible'}}>您输入的动态密码有误</div>):
                  (<div style={{color: '#ff6f56',visibility: 'hidden'}}>您输入的动态密码有误</div>)
              }
              <ListGroup>
                  <ListGroupItem>
                      <Col lg={12} md={12} style={{paddingLeft: '5px'}}>
                          <FormGroup bsSize="small">
                              <FormControl type="text" placeholder="手机号" />
                          </FormGroup>
                      </Col>
                      <Clearfix></Clearfix>
                  </ListGroupItem>
                  <ListGroupItem>
                      <Col lg={7} md={7} style={{paddingLeft: '5px'}}>
                          <FormGroup bsSize="small">
                              <FormControl type="text" placeholder="动态密码" />
                          </FormGroup>
                      </Col>
                      <Col lg={5} md={5} style={{textAlign: 'center',padding: '4px 0',borderLeft: '1px #ddd solid'}}>
                          <a style={{color:'#4f80f6',fontSize: '12px'}}>获取动态密码</a>
                      </Col>
                      <Clearfix></Clearfix>
                  </ListGroupItem>
              </ListGroup>
          </div>
          <div>
              <Button onClick={props.getcaptcha} bsStyle="primary" bsSize="large" block  style={{
                  marginTop: '50px',
                  height: '40px',
                  background: '#3988ff',
                  border: '1px #3988ff solid',
                  borderRadius: '100px'
              }}>登录</Button>
          </div>
          <h6 style={{textAlign: 'center',color: '#cacdd8'}}>
              点击登录，即表示已阅读并同意 <a href="" style={{color: '#3988ff'}}>《服务条款》</a>
          </h6>
      </div>

  </div>
)

// 定义默认参数
LoginView.defaultProps = {
    captcha : 1234,
    newcaptcha : 0,
    // captchaStatus: 0
}

// 定义页面的参数
LoginView.propTypes = {
    captchaStatus: React.PropTypes.number,
    newcaptcha: React.PropTypes.number,
    captcha: React.PropTypes.number,
    getcaptcha: React.PropTypes.func
}

export default LoginView
