import { connect } from 'react-redux'
import {endcaptcha, getcaptcha} from '../modules/login'

import LoginView from '../components/LoginView'

//定义一个函数来生成 action ，action create
const mapActionCreators = {
    getcaptcha: () => getcaptcha(1),
    endcaptcha: () => endcaptcha(0)
    // increment: () => increment(1),
    // doubleAsync,
}

//定义一个函数来接收 connect 传过来的state，返回需要传递给子组件的State，
//connect会拿到返回的数据写入到react组件中，然后组件中就可以通过props读取数据
const mapStateToProps = (state) => ({
    // counter: state.counter,
    captchaStatus: state.captchaStatus,
})

/*  Note: mapStateToProps is where you should use `reselect` to create selectors, ie:

    import { createSelector } from 'reselect'
    const counter = (state) => state.counter
    const tripleCount = createSelector(counter, (count) => count * 3)
    const mapStateToProps = (state) => ({
      counter: tripleCount(state)
    })

    Selectors can compute derived data, allowing Redux to store the minimal possible state.
    Selectors are efficient. A selector is not recomputed unless one of its arguments change.
    Selectors are composable. They can be used as input to other selectors.
    https://github.com/reactjs/reselect    */

export default connect(mapStateToProps, mapActionCreators)(LoginView)
