import LoginView from './components/LoginView'
import {injectReducer} from "store/reducers"

// Sync route definition
export default (store) => ({
  // component: LoginView,
    getComponent(nextState, cb) {
        /*  Webpack - use 'require.ensure' to create a split point
            and embed an async module loader (jsonp) when bundling
            这里将 store 和 reducer 绑定，将 store 注入到路由下的 props 中去
        */
        require.ensure([], (require) => {
            /*  Webpack - use require callback to define
                dependencies for bundling   */
            const Login = require('./containers/LoginContainer').default
            const reducer = require('./modules/login').default

            /*  Add the reducer to the store on key 'Login'  */
            //key 是要绑定的数据字段
            injectReducer(store, { key: 'captcha', reducer })
            injectReducer(store, { key: 'captchaStatus', reducer })

            /*  Return getComponent   */
            cb(null, Login)

            /* Webpack named bundle   */
        }, 'Login')
    },
})
