import React from 'react'
import DefaultAvatar from './assets/img-defaultAvatar.png'
import Logo from './assets/img-logo.png'
import Detail from './assets/img-xunzhen-detail.jpg'
import {Grid, Row, Col, Image, FormGroup, InputGroup, FormControl, Glyphicon, Button, Table, ControlLabel, Form} from 'react-bootstrap'
import classes from './MyOrderView.css'

function getInitialState() {
    return {show: false};
}

function showModal() {
    console.log('show');
    this.setState({show: true});
}

function hideModal() {
    this.setState({show: false});
}

export const MyOrderView = () => (
    <div>
        <div className="home-top clearfix">
            <div className="left">
                <Image src={Logo} responsive></Image>
            </div>
            <div className="right">
                南方医务通医生工作台
            </div>
        </div>

        <div className="home-body clearfix">
            <div className="left">
                <div className="avatarbox">
                    <Image className="avatar" src={DefaultAvatar} rounded responsive/>
                    <div className="name">李秋豪</div>
                </div>
                <div className="col-lg-12 list">
                    <ul className="parent">
                        <li><a href="/message"><span className="icon icon-message"></span><span className="text-message">消息&nbsp;&nbsp;2</span></a></li>
                        <li><a href="/home"><span className="icon icon-home"></span><span>首页</span></a></li>
                        <ul className="childList">
                            <li className="active"><a href="#">专家询诊</a></li>
                            <li><a href="#">双向转诊</a></li>
                            <li><a href="#">名医主诊</a></li>
                            <li><a href="#">名医主诊</a></li>
                        </ul>
                        <li><a href="#"><span className="icon icon-patient"></span><span>我的患者</span></a></li>
                        <li><a href="#"><span className="icon icon-doctor"></span><span>我的关联医生</span></a></li>
                        <li><a href="#"><span className="icon icon-expert"></span><span>平台所有医生</span></a></li>
                    </ul>
                </div>
            </div>
            <div className="right" style={{overflow: "auto"}}>
                <div className="body">
                    <div className="head">
                        <ul className="clearfix">
                            <li className="col-lg-4 col-md-4 col-xs-4"><a href="/findpatient">找患者</a></li>
                            <li className="col-lg-4 col-md-4 col-xs-4 active" ><a href="/myorders">我的订单</a></li>
                            <li className="col-lg-4 col-md-4 col-xs-4"><a href="/expert">专家询诊流程</a></li>
                        </ul>
                    </div>
                    <div className="clearfix">
                        <div className="tableBox">
                            <Table striped hover >
                                <thead>
                                <tr>
                                    <th>关联医生</th>
                                    <th>状态</th>
                                    <th>时间</th>
                                    <th>操作</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td>王帆</td>
                                    <td>被邀</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" bsStyle="link">取消订单</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" bsStyle="link">进入会话</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" disabled bsStyle="link" style={{color: "grey"}}>已经结束</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" bsStyle="link">进入会话</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" disabled bsStyle="link" style={{color: "grey"}}>已经结束</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" bsStyle="link">进入会话</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" disabled bsStyle="link" style={{color: "grey"}}>已经结束</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" bsStyle="link">进入会话</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" disabled bsStyle="link" style={{color: "grey"}}>已经结束</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" bsStyle="link">进入会话</Button>
                                    </td>
                                </tr>
                                <tr>
                                    <td>王帆</td>
                                    <td>邀我</td>
                                    <td>2017/09/24  10:00</td>
                                    <td>
                                        <Button bsSize="small" disabled bsStyle="link" style={{color: "grey"}}>已经结束</Button>
                                    </td>
                                </tr>
                                </tbody>
                            </Table>
                            <div className="clearfix myPagination">
                                <div className="addheigh">3/60页</div>
                                <div className="addheigh">
                                    <Button bsStyle="link">上一页</Button>
                                </div>
                                <div className="addheigh">
                                    <Button bsStyle="link">下一页</Button>
                                </div>
                                <div className="">
                                    跳转到至第
                                    <input style={{width: "30px"}} type="text"/>
                                    页
                                    <Button style={{background: "#4f80f6",marginLeft: "10px"}} bsStyle="primary" bsSize="xsmall">确定</Button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
)

export default MyOrderView