// We only need to import the modules necessary for initial render
import Layout from '../components/Layout'
import Login from './Login'
import NotFound from './NotFound'
import counterRoute from './Counter'
import Home from './Home'
import UserMessage from './UserMessage'
import ExpertView from './Expert'
import FindPatientView from './FindPatient'
import MyOrderView from './MyOrder'
import ChatExpertView from './ChatExpert'
import ChatBaseView from './ChatBase'
import SendChatLog from './SendChatLog'

/*  Note: Instead of using JSX, we recommend using react-router
    PlainRoute objects to build route definitions.   */

export const createRoutes = (store) => ({
  path: '/',
  component: Layout,
  indexRoute: Login(store),
  childRoutes: [
    counterRoute(store),
      Home(store),
      UserMessage,
      ExpertView,
      FindPatientView,
      MyOrderView,
      ChatExpertView,
      ChatBaseView,
      SendChatLog,
    NotFound,
  ],
})

/*  Note: childRoutes can be chunked or otherwise loaded programmatically
    using getChildRoutes with the following signature:

    getChildRoutes (location, cb) {
      require.ensure([], (require) => {
        cb(null, [
          // Remove imports!
          require('./Counter').default(store)
        ])
      })
    }

    However, this is not necessary for code-splitting! It simply provides
    an API for async route definitions. Your code splitting should occur
    inside the route `getComponent` function, since it is only invoked
    when the route exists and matches.
*/

export default createRoutes
